[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPen.DoCopyProps

Copies properties from the specified source to the class instance.

## Declaration

Source position: graphics.pp line 660

`protected procedure TPen.DoCopyProps(`
`From: TFPCanvasHelper`
`); override;`

## Arguments

`From` |  | Canvas helper descendant with properties copied in the method.

## Description

Overridden. Provides support for the TPen type in the From parameter. Calls the inherited method.